<template>
  <div class="container-product">
    <b-container class="bv-example-row">
      <b-row>
        <b-col cols="1" md="1" class="container-grid">
          <div class="image-doc"></div>
        </b-col>
        <b-col cols="10" md="10" class="container-grid container-name">
          <b-row>
            <b-col>
              <p class="name">{{ name }}</p>
            </b-col>
            <div class="w-100"></div>
            <b-col>
              <p class="description">
                Contrary to popular belief, Lorem Ipsum is not simply random
                text. It has roots in a piece of classical Latin literature from
                45 BC, making it over 2000 years old. Richard McClintock, a
                Latin professor at Hampden-Sydney College in Virginia, looked up
                one of the more obscure Latin words, consectetur
              </p>
            </b-col>
          </b-row>
        </b-col>
        <b-col cols="1" md="1" class="container-grid">
          <p class="count">{{ count }}</p>
        </b-col>
      </b-row>
    </b-container>
  </div>
</template>

<script>
export default {
  props: {
    name: String,
    count: Number
  }
}
</script>

<style scoped>
.container-product {
  margin: 20px 0;
  padding: 7px;
  border: 1px solid rgb(212, 212, 212);
  border-radius: 10px;
}

.container-product:hover {
  padding: 7px;
  border: 1px solid rgb(212, 212, 212);
  border-radius: 10px;
  background-color: #d63a31;
  cursor: pointer;
}

.container-grid {
  padding: 0;
}

.image-doc {
  background-image: url('../assets/images/doc.png');
  background-size: 60px;
  background-repeat: no-repeat;
  width: 80px;
  height: 100%;
  background-position: center;
}

.container-product:hover .bv-example-row .container-grid .image-doc {
  background-image: url('../assets/images/dochover.png');
  background-size: 60px;
  background-repeat: no-repeat;
  width: 80px;
  height: 100%;
  background-position: center;
}

.container-name {
  text-align: left;
  padding-left: 40px;
}

.name {
  color: #ec4646;
  font-weight: bold;
  margin-bottom: 10px;
}

.container-product:hover .bv-example-row .container-grid .name {
  color: white;
  font-weight: bold;
  margin-bottom: 10px;
}

.description {
  font-weight: lighter;
  font-size: 10px;
  color: rgb(148, 148, 148);
  text-align: justify;
  margin: 0;
}

.container-product:hover .bv-example-row .container-grid .description {
  font-weight: lighter;
  font-size: 10px;
  color: white;
  text-align: justify;
  margin: 0;
}

.count {
  text-align: center;
  color: #ec4646;
  font-weight: bold;
  font-size: 15px;
}

.container-product:hover .bv-example-row .container-grid .count {
  text-align: center;
  color: white;
  font-weight: bold;
}
</style>
